Index: bf_svx/source/xoutdev/svx_xattr.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/xoutdev/svx_xattr.cxx,v
retrieving revision 1.9
diff -u -r1.9 svx_xattr.cxx
--- bf_svx/source/xoutdev/svx_xattr.cxx	10 Apr 2008 15:01:54 -0000	1.9
+++ bf_svx/source/xoutdev/svx_xattr.cxx	4 Jul 2008 08:11:21 -0000
@@ -455,7 +455,7 @@
 
 /*N*/ sal_Bool XColorItem::PutValue( const ::com::sun::star::uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	rVal >>= nValue;
 /*N*/ 	SetValue( nValue );
 /*N*/ 
@@ -548,7 +548,7 @@
 /*N*/ 	if(!(rVal >>= eLS ))
 /*N*/     {
 /*?*/         // also try an int (for Basic)
-/*?*/         sal_Int32 nLS;
+/*?*/         sal_Int32 nLS = 0;
 /*?*/         if(!(rVal >>= nLS))
 /*?*/             return sal_False;
 /*?*/         eLS = (::com::sun::star::drawing::LineStyle)nLS;
@@ -898,7 +898,7 @@
 /*N*/ 
 /*N*/ 		case MID_LINEDASH_STYLE:
 /*N*/ 		{
-/*?*/ 			sal_Int16 nVal;
+/*?*/ 			sal_Int16 nVal = 0;
 /*?*/ 			if(!(rVal >>= nVal))
 /*?*/ 				return sal_False;
 /*?*/ 
@@ -916,7 +916,7 @@
 /*N*/ 		case MID_LINEDASH_DOTS:
 /*N*/ 		case MID_LINEDASH_DASHES:
 /*N*/ 		{
-/*?*/ 			sal_Int16 nVal;
+/*?*/ 			sal_Int16 nVal = 0;
 /*?*/ 			if(!(rVal >>= nVal))
 /*?*/ 				return sal_False;
 /*?*/ 			
@@ -937,7 +937,7 @@
 /*N*/ 		case MID_LINEDASH_DASHLEN:
 /*N*/ 		case MID_LINEDASH_DISTANCE:
 /*N*/ 		{
-/*?*/ 			sal_Int32 nVal;
+/*?*/ 			sal_Int32 nVal = 0;
 /*?*/ 			if(!(rVal >>= nVal))
 /*?*/ 				return sal_False;
 /*?*/ 			
@@ -1063,7 +1063,7 @@
 
 /*N*/ sal_Bool XLineWidthItem::PutValue( const ::com::sun::star::uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	rVal >>= nValue;
 /*N*/ 
 /*N*/ 	SetValue( nValue );
@@ -1146,7 +1146,7 @@
 
 /*N*/ sal_Bool XLineColorItem::PutValue( const ::com::sun::star::uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	if(!(rVal >>= nValue))
 /*N*/ 		return sal_False;
 /*N*/ 
@@ -2136,7 +2136,7 @@
 
 /*N*/ sal_Bool XLineStartWidthItem::PutValue( const ::com::sun::star::uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	rVal >>= nValue;
 /*N*/ 	SetValue( nValue );
 /*N*/ 	return sal_True;
@@ -2220,7 +2220,7 @@
 
 /*N*/ sal_Bool XLineEndWidthItem::PutValue( const ::com::sun::star::uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	rVal >>= nValue;
 /*N*/ 	SetValue( nValue );
 /*N*/ 	return sal_True;
@@ -2495,7 +2495,7 @@
 /*N*/ 	if(!(rVal >>= eFS))
 /*N*/     {
 /*?*/         // also try an int (for Basic)
-/*?*/         sal_Int32 nFS;
+/*?*/         sal_Int32 nFS = 0;
 /*?*/         if(!(rVal >>= nFS))
 /*?*/             return sal_False;
 /*?*/         eFS = (::com::sun::star::drawing::FillStyle)nFS;
@@ -2588,7 +2588,7 @@
 
 /*N*/ sal_Bool XFillColorItem::PutValue( const ::com::sun::star::uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	if(!(rVal >>= nValue ))
 /*N*/ 		return sal_False;
 /*N*/ 
@@ -2994,7 +2994,7 @@
 /*N*/ 		case MID_GRADIENT_STARTCOLOR:
 /*N*/ 		case MID_GRADIENT_ENDCOLOR:
 /*N*/ 		{
-/*?*/ 			sal_Int32 nVal;
+/*?*/ 			sal_Int32 nVal = 0;
 /*?*/ 			if(!(rVal >>= nVal ))
 /*?*/ 				return sal_False;
 /*?*/ 			
@@ -3017,7 +3017,7 @@
 /*N*/ 		case MID_GRADIENT_XOFFSET:
 /*N*/ 		case MID_GRADIENT_YOFFSET:
 /*N*/ 		{
-/*?*/ 			sal_Int16 nVal;
+/*?*/ 			sal_Int16 nVal = 0;
 /*?*/ 			if(!(rVal >>= nVal ))
 /*?*/ 				return sal_False;
 /*?*/ 
@@ -3519,7 +3519,7 @@
 /*N*/ 
 /*N*/ 		case MID_HATCH_STYLE:
 /*N*/ 		{
-/*?*/ 			sal_Int16 nVal;
+/*?*/ 			sal_Int16 nVal = 0;
 /*?*/ 			if (!(rVal >>= nVal ))
 /*?*/ 				return sal_False;
 /*?*/ 			aHatch.SetHatchStyle( (XHatchStyle)nVal );
@@ -3530,7 +3530,7 @@
 /*N*/ 		case MID_HATCH_DISTANCE:
 /*N*/ 		case MID_HATCH_ANGLE:
 /*N*/ 		{
-/*?*/ 			sal_Int32 nVal;
+/*?*/ 			sal_Int32 nVal = 0;
 /*?*/ 			if (!(rVal >>= nVal ))
 /*?*/ 				return sal_False;
 /*?*/ 
@@ -3678,7 +3678,7 @@
 // #FontWork#
 /*N*/ sal_Bool XFormTextStyleItem::PutValue( const uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	rVal >>= nValue;
 /*N*/ 	SetValue((XFormTextStyle)nValue);
 /*N*/ 
@@ -3783,7 +3783,7 @@
 // #FontWork#
 /*N*/ sal_Bool XFormTextAdjustItem::PutValue( const uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	rVal >>= nValue;
 /*N*/ 	SetValue((XFormTextAdjust)nValue);
 /*N*/ 
@@ -4144,7 +4144,7 @@
 // #FontWork#
 /*N*/ sal_Bool XFormTextShadowItem::PutValue( const uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	rVal >>= nValue;
 /*N*/ 	SetValue((XFormTextShadow)nValue);
 /*N*/ 
@@ -4446,7 +4446,7 @@
 // #FontWork#
 /*N*/ sal_Bool XFormTextStdFormItem::PutValue( const uno::Any& rVal, BYTE nMemberId )
 /*N*/ {
-/*N*/ 	sal_Int32 nValue;
+/*N*/ 	sal_Int32 nValue = 0;
 /*N*/ 	rVal >>= nValue;
 /*N*/ 	SetValue((XFormTextStdForm)nValue);
 /*N*/ 
Index: bf_svx/source/xoutdev/svx_xattr2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/xoutdev/svx_xattr2.cxx,v
retrieving revision 1.7
diff -u -r1.7 svx_xattr2.cxx
--- bf_svx/source/xoutdev/svx_xattr2.cxx	10 Apr 2008 15:02:12 -0000	1.7
+++ bf_svx/source/xoutdev/svx_xattr2.cxx	4 Jul 2008 08:11:23 -0000
@@ -220,7 +220,7 @@
 /*N*/ 	if(!(rVal >>= eUnoJoint))
 /*N*/     {
 /*?*/         // also try an int (for Basic)
-/*?*/         sal_Int32 nLJ;
+/*?*/         sal_Int32 nLJ = 0;
 /*?*/         if(!(rVal >>= nLJ))
 /*?*/             return sal_False;
 /*?*/         eUnoJoint = (::com::sun::star::drawing::LineJoint)nLJ;
